package leodbc.javaagent.transformations;

import javassist.CannotCompileException;
import javassist.CtClass;
import javassist.NotFoundException;

/**
 * Trasformatore di una classe
 * @author Leonardo Cecchi
 */
public interface ClassTransformer 
{
	/**
	 * Trasforma una certa classe
	 * @param clazz Classe da trasformare
	 * @throws CannotCompileException Eventuale errore in compilazione
	 */
	public void transform(CtClass clazz) throws CannotCompileException, ClassNotFoundException, NotFoundException;
}
