package leodbc.support;

import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * Annotazione per il check degli argomenti
 * @author 2638966
 */
@Documented
@Retention(RetentionPolicy.RUNTIME)
@Target({ElementType.PARAMETER})
public @interface LeoArgCheck 
{
	/**
	 * @return condizione booleana che deve essere vera sull'argomento
	 */
	public String value();
}
