package leodbc.support;

import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * Interfaccia delle annotazioni che compongono il framework
 * DbC
 * 
 * @author Leonardo Cecchi
 */
@Documented
@Retention(RetentionPolicy.RUNTIME)
@Target({ElementType.METHOD, ElementType.CONSTRUCTOR})
public @interface LeoPost
{
	/**
	 * Postcondizione di un certo metodo 
	 */
	public String value() default "true";
}
