package leodbc.support;

/**
 * Contenitore di un nome e di un valore
 * @author Leonardo Cecchi
 */
public class NameValueMapping 
{
	// Nome
	private String name;
	// Valore
	private Object value;
	
	/**
	 * Nuovo mapping
	 */
	public NameValueMapping(String name, Object value)
	{
		this.name=name;
		this.value=value;
	}
	
	/**
	 * @return Il nome
	 */
	public String getName()
	{
		return this.name;
	}
	
	/**
	 * @return Il valore
	 */
	public Object getValue()
	{
		return this.value;
	}
	
	/**
	 * @return Stringa con mapping
	 */
	public String toString()
	{
		return "<"+getName()+";"+(value==null?"null":getValue().toString())+">";
	}
}
