package leodbc.support;

/**
 * Creazione di un unico VariableStore per applicazione
 * @author piero
 */
public class VariableStoreFactory 
{
	private static VariableStore my;
	
	/**
	 * Ritorna il VariableStore corrente
	 * @return VariableStore corrente
	 */
	public synchronized static VariableStore get()
	{
		if(my==null)
		{
			my=new ThreadSensitiveVariableStore();
		}
		return my;
	}
}
