package leodbc.test;

import leodbc.support.LeoPost;
import leodbc.support.LeoPre;

public class SquareRootBase 
{
	/**
	 * Radice quadrata di un numero
	 * @param x Numero del quale fare la radice
	 * @return Radice quadrata
	 */
	@LeoPre ("$1>=0")
	@LeoPost("$1>344")
	public double sqrt(double x)
	{
		return Math.sqrt(x);
	}
}
