package leodbc.tutortest;

import leodbc.support.*;

/**
 * Semplice imnplementazione di un vettore generico al solo
 * scopo di mostrare l'uso del framework LeoDBC
 */
public interface SimpleVector<T> {
  /**
   * Deve inserire un elemento nel vettore
   */
  @LeoPre("_store.putValue(\"oldlen\", length())")
  @LeoPost("_store.getInt(\"oldlen\")==(length()-1)")
  public void add(T toInsert);

  /**
   * Deve ritornare un valore booleano vero se l'elemento
   * e' presente nel vettore
   */
  public boolean search(T toSearch);

  /**
   * Deve ritornare il numero di elementi presenti nel vettore
   */
  @LeoPost("$1>=0")
  public int length();
}
