package leodbc.support;

import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * Interfaccia delle annotazioni che compongono il framework
 * DbC
 * 
 * @author Leonardo Cecchi
 */
@Documented
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.TYPE)
public @interface LeoInvariant 
{
	/**
	 * Invariante di classe 
	 */
	public String value() default "true";
}
