package leodbc.test;

import leodbc.support.LeoPost;
import leodbc.support.LeoPre;
import leodbc.support.LeoInvariant;
import leodbc.testdue.Vettore;
import leodbc.testquattro.ClasseBase;
import leodbc.testtre.SommatoreNuovo;

/**
 * Un semplice test per il design Dbc
 * 
 * @author Leonardo Cecchi
 */
@LeoInvariant (
	value="pippo!=5"
)
public class SquareRoot extends SquareRootBase
{
	/**
	 * Attributo di prova
	 */
	private int pippo;
	
	/**
	 * Radice quadrata di un numero con altri check
	 * @param x Numero del quale fare la radice
	 * @return Radice quadrata
	 */
	@LeoPre ("$1<100")
	@LeoPost("$1>=0")
	public double sqrt(double x)
	{
		pippo++;
		return -5;
	}
	
	/**
	 * Test della radice quadrata
	 */
	public static void main(String args[])
	{
		//new SquareRoot().sqrt(34);
		Vettore k=new Vettore();
		//post(sopra) -> pre(sotto)
		k.aggiungi(4);
		new SommatoreNuovo();
		(new ClasseBase()).add(new Integer(3));
		(new ClasseBase()).somma(3,4);
		//(new VettoreLeonardoMigliorato()).addObject(null);
		
		// Object j=null;
		//(new VettoreLeonardoMigliorato()).addObject(j);
	}
}
