package leodbc.testdue;

import java.util.LinkedList;

import leodbc.support.LeoInvariant;
import leodbc.support.LeoPost;
import leodbc.support.LeoPre;

@LeoInvariant("elementi>=0 && container!=null")
public class Vettore 
{
	int elementi;
	LinkedList<Object> container;
	
	@LeoPre("$1!=null")
	@LeoPost("container.size()>0")
	public void aggiungi(Object k)
	{
		container.add(k);
	}
	
	public Vettore()
	{
		container=new LinkedList<Object>();
		elementi=0;
	}
}
