package leodbc.tutortest;

import java.util.Collection;
import java.util.LinkedList;

import leodbc.support.LeoArgCheck;
import leodbc.support.LeoInvariant;

@LeoInvariant("dataStore!=null")
public class VectorOne<T> implements SimpleVector<T> {
  private Collection<T> dataStore=new LinkedList<T>();

  public void add(@LeoArgCheck("$1!=null") T toInsert) { 
    dataStore.add(toInsert);
  } 

  public boolean search(@LeoArgCheck("$1!=null") T toSearch) {
    return dataStore.contains(toSearch);
  }

  public int length() {
    return dataStore.size();
  }
}
